let listenom=[
	'Pierre',
	'Paul',
	'Jacques'];
	



// définitions de variables globales
let duree;
let timer;

// création de la liste de questions
let questions = document.querySelectorAll('#markdown div');
let listeDeroulante = document.querySelector('#listeQuestions');
for (let i = 0; i < questions.length; i++) {
  let option = document.createElement("option");
  option.value = questions[i].id;
  option.innerHTML = questions[i].id;//questions[i].getAttribute('name');
  listeDeroulante.appendChild(option);
};



// dessin du cercle vide
let taille_compteur=80;// rayon en fait
let angle=-1.570796//-Math.PI/2;
let canvas = document.getElementById("dessin");
let ctx = canvas.getContext('2d');
canvas.width = 2*taille_compteur;
canvas.height = 2*taille_compteur;
ctx.beginPath();
ctx.strokeStyle = '#000000';
ctx.arc(taille_compteur,taille_compteur,taille_compteur,0,2*Math.PI,true);
ctx.stroke();


// compte à rebours

function choixDuree(choix){
	duree = choix;
	clearInterval(timer);
	timer = setInterval(clock, 100*duree);
}

function pause_minuteur(){
	clearInterval(timer);
	document.getElementById("bouton").value="Reprendre";
	document.getElementById("bouton").onclick = lancer_minuteur;
	}

function lancer_minuteur(){
	document.getElementById("bouton").value = "Pause";
	document.getElementById("bouton").onclick = pause_minuteur;
	timer = setInterval(clock,100*duree);
}

function clock(){
  angle=angle+0.010407
  if(angle>Math.PI)
	{
	ctx.strokeStyle = "#FF8000";
	}
  else
	{
	ctx.strokeStyle = "#298A08";
	}
  
  ctx.lineWidth = 1;
  ctx.beginPath();
  ctx.moveTo(taille_compteur,taille_compteur);
  ctx.lineTo(taille_compteur+taille_compteur*Math.cos(angle),taille_compteur+taille_compteur*Math.sin(angle));
  ctx.stroke();

  if(angle>4.712389) //3*Math.PI/2
	{
	angle=4.712389
	clearInterval(timer);
	choisirEleve();
	}
}

function afficheQuestion(choix){
	for (let i = 0; i < questions.length; i++) {
	    questions[i].style.display ="none";
		}
	document.getElementById(choix).style.display ="block";
}

function choisirEleve()
{
let nb = listenom.length;
let num = Math.floor(Math.random() * nb);
 str=listenom[num];
 str=str.replace('é','\351');
 str=str.replace('è','\350');
 str=str.replace('ê','\352');
 str=str.replace('ï','\357');
 str=str.replace('à','\340');
 alert(str,3);
}
